Subject: Re: [PATCH v10 19/30] KVM: arm64: Provide assembly for SME register access

From: Marc Zyngier <[email-masked]>
Date: Fri, 22 May 2026 06:52:48 +0100

On Thu, 21 May 2026 15:51:26 +0100,
Mark Rutland <[email-masked]> wrote:
> 
> On Fri, Mar 06, 2026 at 05:01:11PM +0000, Mark Brown wrote:
> > Provide versions of the SME state save and restore functions for the
> > hypervisor to allow it to restore ZA and ZT for guests.
> > 
> > Signed-off-by: Mark Brown <[email-masked]>
> > ---
> >  arch/arm64/include/asm/kvm_hyp.h |  2 ++
> >  arch/arm64/kvm/hyp/fpsimd.S      | 23 +++++++++++++++++++++++
> >  2 files changed, 25 insertions(+)
> 
> While this specific instance is simple enough, I don't think we should
> continue to duplicate the low level save/restore routines between the
> main kernel and KVM hyp code.
> 
> I've sent a series that avoids the need for this, and cleans up some
> other bits):
> 
>   https://lore.kernel.org/linux-arm-kernel/[email-masked]/
> 
> Assuming Marc and Oliver are on board, I'd prefer that we do that
> cleanup first, and build the KVM SME support atop.

Absolutely. The whole FP/SVE is still way too complicated, full of
esoteric constructs, hard to audit, and I would really like to see it
cleaned-up before stacking another layer on top.

I've quickly eyeballed the KVM-specific patches yesterday, and nothing
seem outlandish, so there is a good chance some of that could make it
into 7.2. I plan to look at it again shortly.

Thanks,

	M.

-- 
Jazz isn't dead. It just smells funny.